﻿
# Epic KillStreaks Announcer (Re-Release)
What's more rewarding than an epic announcer commenting on your best kill streaks? This mod adds (on the client side) the famous Unreal Tournament 2004 Announcer to your game! Will you manage to do a monster kill?

## Features
Whenever you get a kill, the mod registers it and if you managed to reach a certain amount of kills, each one seperated by a maximum of 3seconds (configurable), it will trigger an epic sound.
Also, if you have this mod installed and you are hosting the game, it will notify everyone using the Chat if one user reached the GodLike or the MonsterKill streaks, regardless of the fact that this user has the mod installed or not (configurable).

## Config
Before installing, please remove the old config file if you have used an other version of this mod before 1.1.0.
You can change the number of kills needed to reach each sound in the config file. Put -1 to remove one sound. You can reorder them but GodLike & Monster Kill have to be the two highest killstreaks. By default the values are:

 - Headshot : -1 (deactivated, replace by 1 if you want to activate it)
 - Double kill : -1 (deactivated, replace by 2 if you want to active it)
 - Triple Kill : 3
 - Multi kill : 5
 - Dominating : 8
 - Rampage : 12
 - Ludicrous Kill : 16
 - God like : 20
 - M-M-Monster kill : 25

You can also change the maximum time before the killing streak is reset. By default it's set to 3sec.
Finally change the Broadcast value to true to activate the chat broadcast on high tier kill streaks.

## Multiplayer
This is a client side mod. That mean that only you can hear the announcer, and that it doesnt affect any other player's game.
If you are hosting the game however, you are also tracking other players killstreaks, and if one manage to reach one of the 2 biggest kill streaks, a message will appear in the chat.
## Planned Update
 - On my next mod release, I might have to deploy a compatibility patch on this one (not sure yet).


## Versions
 - 1.0.0 - Re release
 - 1.0.2 - SoTV Dlc Update (Thank to Ideath!)
 - 1.0.3 - Update to latest version

## Contact
I'm available on discord (@Hijack Hornet#5298). 